Skip to main content
POST
/
api
/
v1
/
org
/
clusters
/
imported
/
{cluster_id}
/
stacks
/
clone
Clone Stack To Cluster Endpoint
import requests

url = "https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/stacks/clone"

payload = {
    "source_cluster_id": "<string>",
    "stack_name": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
{
  "draft_id": "<string>",
  "stack_name": "<string>",
  "addons_cloned": 123,
  "manifests_cloned": 123,
  "warnings": []
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null

Path Parameters

cluster_id
string<uuid4>
required

Body

application/json
source_cluster_id
string<uuid4>
required
stack_name
string
required
new_stack_name
string | null
include_addon_configurations
boolean
default:true

Response

Successful Response

draft_id
string<uuid4>
required
stack_name
string
required
addons_cloned
integer
required
manifests_cloned
integer
required
warnings
string[]